メインコンテンツへスキップ
GET
/
cms
/
blog-settings
/
2026-03
/
settings
/
{blogId}
/
revisions
/
{revisionId}
特定のブログ変更履歴を取得
curl --request GET \
  --url https://api.hubapi.com/cms/blog-settings/2026-03/settings/{blogId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "absoluteUrl": "<string>",
    "allowComments": true,
    "created": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "listingPageId": "<string>",
    "name": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publicTitle": "<string>",
    "slug": "<string>",
    "translatedFromId": "<string>",
    "updated": "2023-11-07T05:31:56Z"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

blogId
string
必須

ブログID。

revisionId
string
必須

ブログバージョンID。

レスポンス

successful operation

id
string
必須
object
object
必須
updatedAt
string<date-time>
必須
user
object
必須
最終更新日 2026年4月13日